summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--iso2usb.sh2
-rwxr-xr-xliveinit.tpl (renamed from liveinit)2
-rwxr-xr-xmake_slackware_live.sh28
-rw-r--r--pkglists/lxqtdeps.lst2
-rw-r--r--pkglists/min.lst1
-rw-r--r--pkglists/multilib.lst5
-rw-r--r--pkglists/plasma5.lst51
-rw-r--r--pkglists/xbase.lst2
-rwxr-xr-xpxeserver.tpl (renamed from pxeserver)2
-rwxr-xr-xsetup2hd.tpl (renamed from setup2hd)9
10 files changed, 83 insertions, 21 deletions
diff --git a/iso2usb.sh b/iso2usb.sh
index 407332a..6deb916 100644
--- a/iso2usb.sh
+++ b/iso2usb.sh
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# Copyright 2015, 2016 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2016, 2017 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
diff --git a/liveinit b/liveinit.tpl
index bb2e070..de23e24 100755
--- a/liveinit
+++ b/liveinit.tpl
@@ -2,7 +2,7 @@
#
# Copyright 2004 Slackware Linux, Inc., Concord, CA, USA
# Copyright 2007, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2015, 2016 Eric Hameleers, Eindhoven, NL
+# Copyright 2015, 2016, 2017 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
diff --git a/make_slackware_live.sh b/make_slackware_live.sh
index 7a073ee..a5b4cfb 100755
--- a/make_slackware_live.sh
+++ b/make_slackware_live.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2014, 2015, 2016 Eric Hameleers, Eindhoven, NL
+# Copyright 2014, 2015, 2016, 2017 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -188,7 +188,7 @@ SEQ_DLACK="tagfile:a,ap,d,e,f,k,l,n,t,tcl,x,xap pkglist:slackextra,systemd,dlack
# List of kernel modules required for a live medium to boot properly;
# Lots of HID modules added to support keyboard input for LUKS password entry:
-KMODS=${KMODS:-"squashfs:overlay:loop:xhci-pci:ohci-pci:ehci-pci:xhci-hcd:uhci-hcd:ehci-hcd:usb-storage:hid:usbhid:i2c-hid:hid-generic:hid-cherry:hid-logitech:hid-logitech-dj:hid-logitech-hidpp:hid-lenovo:hid-microsoft:hid_multitouch:jbd:mbcache:ext3:ext4:isofs:fat:nls_cp437:nls_iso8859-1:msdos:vfat"}
+KMODS=${KMODS:-"squashfs:overlay:loop:xhci-pci:ohci-pci:ehci-pci:xhci-hcd:uhci-hcd:ehci-hcd:usb-storage:hid:usbhid:i2c-hid:hid-generic:hid-cherry:hid-logitech:hid-logitech-dj:hid-logitech-hidpp:hid-lenovo:hid-microsoft:hid_multitouch:jbd:mbcache:ext3:ext4:isofs:fat:nls_cp437:nls_iso8859-1:msdos:vfat:ntfs"}
# Firmware for wired network cards required for NFS root support:
NETFIRMWARE="3com acenic adaptec bnx tigon e100 sun kaweth tr_smctr cxgb3"
@@ -1328,7 +1328,7 @@ mkdir -p ${LIVE_ROOTDIR}/var/lib/tftpboot/pxelinux.cfg
cp -ia /usr/share/syslinux/pxelinux.0 ${LIVE_ROOTDIR}/var/lib/tftpboot/
ln -s /mnt/livemedia/boot/generic ${LIVE_ROOTDIR}/var/lib/tftpboot/
ln -s /mnt/livemedia/boot/initrd.img ${LIVE_ROOTDIR}/var/lib/tftpboot/
-cat ${LIVE_TOOLDIR}/pxeserver | sed \
+cat ${LIVE_TOOLDIR}/pxeserver.tpl | sed \
-e "s/@DIRSUFFIX@/$DIRSUFFIX/g" \
-e "s/@DISTRO@/$DISTRO/g" \
-e "s/@CDISTRO@/${DISTRO^}/g" \
@@ -1353,20 +1353,34 @@ if ls ${LIVE_ROOTDIR}/boot/vmlinuz-huge-* 1>/dev/null 2>/dev/null; then
uncompressfs ${DEF_SL_PKGROOT}/../isolinux/initrd.img | cpio -i -d -H newc --no-absolute-filenames usr/lib/setup/* sbin/probe sbin/fixdate
mv -i usr/lib/setup/* sbin/probe sbin/fixdate .
rm -r usr sbin
+ rm -f setup
cd - 1>/dev/null
# Fix some occurrences of '/mnt' that should not be used in the Live ISO:
- sed -i -e 's, /mnt, ${T_PX},g' -e 's,=/mnt/,=${T_PX}/,g' -e 's,T_PX=/mnt,T_PX=/setup2hd,g' ${LIVE_ROOTDIR}/usr/share/${LIVEMAIN}/*
+ sed -i -e 's, /mnt, ${T_PX},g' -e 's,=/mnt$,=${T_PX},g' -e 's,=/mnt/,=${T_PX}/,g' -e 's,T_PX=/mnt,T_PX="`cat $TMP/SeTT_PX`",g' ${LIVE_ROOTDIR}/usr/share/${LIVEMAIN}/*
+ # If T_PX is used in a script, it should be defined first:
+ for FILE in ${LIVE_ROOTDIR}/usr/share/${LIVEMAIN}/* ; do
+ if grep -q T_PX $FILE ; then
+ if ! grep -q "^T_PX=" $FILE ; then
+ if ! grep -q "^TMP=" $FILE ; then
+ sed -e '/#!/a T_PX="`cat $TMP/SeTT_PX`"' -i $FILE
+ sed -e '/#!/a TMP=/var/log/setup/tmp' -i $FILE
+ else
+ sed -e '/^TMP=/a T_PX="`cat $TMP/SeTT_PX`"' -i $FILE
+ fi
+ fi
+ fi
+ done
if [ -f ${LIVE_ROOTDIR}/sbin/liloconfig ]; then
patch ${LIVE_ROOTDIR}/sbin/liloconfig ${LIVE_TOOLDIR}/patches/liloconfig.patch
fi
if [ -f ${LIVE_ROOTDIR}/usr/sbin/eliloconfig ]; then
patch ${LIVE_ROOTDIR}/usr/sbin/eliloconfig ${LIVE_TOOLDIR}/patches/eliloconfig.patch
fi
- # Fix some occurrences of '/usr/lib/setup/' are covered by $PATH:
+ # Fix some occurrences of '/usr/lib/setup/' that are covered by $PATH:
sed -i -e 's,/usr/lib/setup/,,g' -e 's,:/usr/lib/setup,:/usr/share/${LIVEMAIN},g' ${LIVE_ROOTDIR}/usr/share/${LIVEMAIN}/*
# Add the Slackware Live HD installer:
mkdir -p ${LIVE_ROOTDIR}/usr/local/sbin
- cat ${LIVE_TOOLDIR}/setup2hd | sed \
+ cat ${LIVE_TOOLDIR}/setup2hd.tpl | sed \
-e "s/@DIRSUFFIX@/$DIRSUFFIX/g" \
-e "s/@DISTRO@/$DISTRO/g" \
-e "s/@CDISTRO@/${DISTRO^}/g" \
@@ -1895,7 +1909,7 @@ fi
echo "-- Creating initrd for kernel-generic $KVER ..."
chroot ${LIVE_ROOTDIR} /sbin/mkinitrd -c -w ${WAIT} -l us -o /boot/initrd_${KVER}.img -k ${KVER} -m ${KMODS} -L -C dummy 1>${DBGOUT} 2>${DBGOUT}
# Modify the initrd content for the Live OS:
-cat $LIVE_TOOLDIR/liveinit | sed \
+cat $LIVE_TOOLDIR/liveinit.tpl | sed \
-e "s/@LIVEMAIN@/$LIVEMAIN/g" \
-e "s/@MARKER@/$MARKER/g" \
-e "s/@MEDIALABEL@/$MEDIALABEL/g" \
diff --git a/pkglists/lxqtdeps.lst b/pkglists/lxqtdeps.lst
index 252d1a7..1f7937b 100644
--- a/pkglists/lxqtdeps.lst
+++ b/pkglists/lxqtdeps.lst
@@ -1,5 +1,6 @@
# deps:
libinput
+libwacom
libxkbcommon
qt5
qt5-webkit
@@ -77,6 +78,7 @@ modemmanager-qt
networkmanager-qt
oxygen-icons5
plasma-framework
+prison
solid
sonnet
syntax-highlighting
diff --git a/pkglists/min.lst b/pkglists/min.lst
index 9706954..d0b2fa1 100644
--- a/pkglists/min.lst
+++ b/pkglists/min.lst
@@ -70,6 +70,7 @@ libgudev
libksba
libmpc
libtermcap
+libunistring
lilo
links
logrotate
diff --git a/pkglists/multilib.lst b/pkglists/multilib.lst
index 405ca97..a7af966 100644
--- a/pkglists/multilib.lst
+++ b/pkglists/multilib.lst
@@ -90,6 +90,7 @@ libsndfile-compat32
libtasn1-compat32
libtermcap-compat32
libtiff-compat32
+libunistring-compat32
libusb-compat32
libvorbis-compat32
libxml2-compat32
@@ -139,7 +140,6 @@ libXcomposite-compat32
libXcursor-compat32
libXdamage-compat32
libXdmcp-compat32
-libepoxy-compat32
libXevie-compat32
libXext-compat32
libXfixes-compat32
@@ -164,11 +164,14 @@ libXxf86misc-compat32
libXxf86vm-compat32
libdmx-compat32
libdrm-compat32
+libepoxy-compat32
libfontenc-compat32
+libinput-compat32
libpciaccess-compat32
libva-compat32
libva-intel-driver-compat32
libvdpau-compat32
+libwacom-compat32
libxcb-compat32
libxshmfence-compat32
mesa-compat32
diff --git a/pkglists/plasma5.lst b/pkglists/plasma5.lst
index 780ca80..a6a0efb 100644
--- a/pkglists/plasma5.lst
+++ b/pkglists/plasma5.lst
@@ -14,8 +14,10 @@ json-glib
libappindicator
libdbusmenu-gtk
libdbusmenu-qt5
+libdmtx
libindicator
libinput
+libwacom
libxkbcommon
lmdb
mesa
@@ -28,9 +30,11 @@ phonon-vlc
polkit-qt5-1
poppler
qca-qt5
+qrencode
qt-gstreamer
qt5
qt5-webkit
+sip
sni-qt
wayland
xorg-server
@@ -156,6 +160,7 @@ modemmanager-qt
networkmanager-qt
oxygen-icons5
plasma-framework
+prison
solid
sonnet
syntax-highlighting
@@ -164,35 +169,44 @@ threadweaver
# kdepim:
akonadi
akonadi-calendar
+akonadi-calendar-tools
akonadi-contacts
+akonadi-import-wizard
akonadi-mime
akonadi-notes
akonadi-search
+akonadiconsole
+akregator
+blogilo
calendarsupport
eventviews
-gpgmepp
+grantlee-editor
grantleetheme
incidenceeditor
+kaddressbook
+kalarm
kalarmcal
kblog
kcalcore
kcalutils
kcontacts
-kdepim
kdepim-addons
kdepim-apps-libs
kdepim-runtime
-kdepimlibs
-kdgantt2
kholidays
kidentitymanagement
kimap
kldap
kleopatra
+kmail
+kmail-account-wizard
kmailtransport
kmbox
kmime
+knotes
+kontact
kontactinterface
+korganizer
kpimtextedit
ktnef
libgravatar
@@ -201,7 +215,11 @@ libkleo
libksieve
mailcommon
mailimporter
+mbox-importer
messagelib
+pim-data-exporter
+pim-sieve-editor
+pim-storage-service-manager
pimcommon
syndication
@@ -265,6 +283,7 @@ cervisia
dolphin
dolphin-plugins
dragon
+ffmpegthumbs
filelight
granatier
gwenview
@@ -289,7 +308,6 @@ kcalc
kcharselect
kcolorchooser
kcron
-kde-baseapps
kde-dev-scripts
kde-dev-utils
kde-runtime
@@ -303,9 +321,12 @@ kdenetwork-strigi-analyzers
kdesdk-kioslaves
kdesdk-strigi-analyzers
kdesdk-thumbnailers
-kdewebdev
kdf
+kdialog
kdiamond
+keditbookmarks
+kfilereplace
+kfind
kfloppy
kfourinline
kgeography
@@ -316,14 +337,15 @@ khangman
kig
kigo
killbots
+kimagemapeditor
kio-extras
kiriki
kiten
-kjots
kjumpingcube
klettres
klickety
klines
+klinkstatus
kmag
kmahjongg
kmines
@@ -336,7 +358,9 @@ knetwalk
kolf
kollision
kolourpaint
+kommander
kompare
+konqueror
konquest
konsole
kopete
@@ -363,8 +387,8 @@ ktouch
ktuberling
kturtle
kubrick
-kuser
kwalletmanager
+kwave
kwordquiz
libkcddb
libkcompactdisc
@@ -397,9 +421,18 @@ sweeper
umbrello
zeroconf-ioslave
-# applications extra:
+# applications-extra:
+kdev-php
+kdevelop
+kdevelop-pg-qt
+kdevplatform
+kdiagram
+kjots
+kpmcore
ktorrent
+kuser
libktorrent
+partitionmanager
skanlite
# telepathy:
diff --git a/pkglists/xbase.lst b/pkglists/xbase.lst
index b1af71f..d6ab2f7 100644
--- a/pkglists/xbase.lst
+++ b/pkglists/xbase.lst
@@ -184,6 +184,7 @@ libical
libidl
libieee1284
libimobiledevice
+libinput
libiodbc
libjpeg-turbo
libmad
@@ -220,6 +221,7 @@ libvdpau
libvisual
libvorbis
libvpx
+libwacom
libwmf
libwnck
libx86
diff --git a/pxeserver b/pxeserver.tpl
index f270a18..1fcadcf 100755
--- a/pxeserver
+++ b/pxeserver.tpl
@@ -1,6 +1,6 @@
#!/bin/sh
#
-# Copyright 2011, 2016 Eric Hameleers, Eindhoven, NL
+# Copyright 2011, 2016, 2017 Eric Hameleers, Eindhoven, NL
# Copyright 2011 Patrick Volkerding, Sebeka, Minnesota USA
# All rights reserved.
#
diff --git a/setup2hd b/setup2hd.tpl
index eefb154..8bd7eed 100755
--- a/setup2hd
+++ b/setup2hd.tpl
@@ -24,7 +24,7 @@
#
# As always, bug reports, suggestions, etc: volkerdi@slackware.com
#
-# Modifications 2016 by Eric Hameleers <alien@slackware.com>
+# Modifications 2016, 2017 by Eric Hameleers <alien@slackware.com>
#
# The Slackware setup depends on english language settings because it
@@ -285,6 +285,13 @@ EOF
fi
if [ "$MAINSELECT" = "CONFIGURE" ]; then
+ # Patch (e)liloconfig on the target systems to remove hardcoded /mnt:
+ if [ -f /sbin/liloconfig -a -f $T_PX/sbin/liloconfig ]; then
+ cat /sbin/liloconfig > $T_PX/sbin/liloconfig
+ fi
+ if [ -f /usr/sbin/eliloconfig -a -f $T_PX/usr/sbin/eliloconfig ]; then
+ cat /usr/sbin/eliloconfig > $T_PX/usr/sbin/eliloconfig
+ fi
SeTconfig
REPLACE_FSTAB=Y
if [ -r $TMP/SeTnative ]; then